* ./bootstrap: if pkg-config is not available, we define PKG_CHECK_MODULES
authorSam Hocevar <sam@videolan.org>
Thu, 20 Mar 2003 10:27:35 +0000 (10:27 +0000)
committerSam Hocevar <sam@videolan.org>
Thu, 20 Mar 2003 10:27:35 +0000 (10:27 +0000)
    ourselves.
  * ./bootstrap: "make dist" works again, even if gettext is not present.

bootstrap
configure.ac.in

index 4e8ba85..7f25193 100755 (executable)
--- a/bootstrap
+++ b/bootstrap
@@ -1,7 +1,7 @@
 #! /bin/sh
 
 ##  bootstrap file for the VLC media player
-##  $Id: bootstrap,v 1.45 2003/03/17 16:59:46 sam Exp $
+##  $Id: bootstrap,v 1.46 2003/03/20 10:27:35 sam Exp $
 ##
 ##  Authors: Samuel Hocevar <sam@zoy.org>
 
@@ -185,6 +185,8 @@ rm -f ltmain.sh libtool ltconfig
 # remove gettext cruft
 rm -f m4/oldgettext.m4 ABOUT-NLS
 rm -Rf intl
+# update m4 local macros
+rm -f m4/vlc.m4 && echo "Private VLC macros" > m4/vlc.m4
 
 # Check for gettext
 if gettextize --version >/dev/null 2>&1
@@ -200,17 +202,28 @@ else
   echo > ABOUT-NLS
   mkdir -p intl
   echo > intl/Makefile.am
-  echo 'AC_DEFUN([AM_GNU_GETTEXT_VERSION], [])' > m4/oldgettext.m4
+  echo 'AC_DEFUN([AM_GNU_GETTEXT_VERSION], [])' >> m4/vlc.m4
   GETTEXT=old
 fi;else
   # we don't have gettext. grmbl. try to continue anyway.
   echo > ABOUT-NLS
   mkdir -p intl
   echo > intl/Makefile.am
-  echo 'AC_DEFUN([AM_GNU_GETTEXT_VERSION], [])' > m4/oldgettext.m4
+  echo 'AC_DEFUN([AM_GNU_GETTEXT_VERSION], [])' >> m4/vlc.m4
   GETTEXT=no
 fi
 
+# Check for pkg-config
+if pkg-config --version >/dev/null 2>&1
+then
+  # We have pkg-config, everything is cool.
+  PKGCONFIG=yes
+else
+  # Not present, use a workaround.
+  echo 'AC_DEFUN([PKG_CHECK_MODULES], [])' > m4/vlc.m4
+  PKGCONFIG=no
+fi
+
 # Check for automake
 amvers="none"
 if automake-1.7 --version >/dev/null 2>&1
@@ -298,7 +311,7 @@ rm -f mozilla/vlcintf.h
 set +x
 
 ##
-##  Tell the user about gettext and sed
+##  Tell the user about gettext, pkg-config and sed
 ##
 case "$GETTEXT" in
   yes)
@@ -324,6 +337,20 @@ EOF
   ;;
 esac
 
+case "$PKGCONFIG" in
+  yes)
+  ;;
+  no)
+    cat << EOF
+
+==============================================================
+NOTE: you do not have the "pkg-config" utility on your system;
+detection of the Gtk-2.0 and GNOME 2.0 libraries will not be
+reliable.
+EOF
+  ;;
+esac
+
 case "$AUTOMAKESUCKS" in
   no)
   ;;
index 80f257d..6932242 100644 (file)
@@ -2313,7 +2313,7 @@ AC_ARG_ENABLE(gtk2,
   [  --enable-gtk2           Gtk2 support (default disabled)])
 if test "x${enable_gtk2}" = "xyes"
 then
-  #PKG_CHECK_MODULES(GTK2, [gtk+-2.0 >= 2.0.0, gthread-2.0])
+  PKG_CHECK_MODULES(GTK2, [gtk+-2.0 >= 2.0.0, gthread-2.0])
   CFLAGS_gtk2="${CFLAGS_gtk2} ${GTK2_CFLAGS}"
   LDFLAGS_gtk2="${LDFLAGS_gtk2} ${GTK2_LIBS}"
   PLUGINS="${PLUGINS} gtk2"
@@ -2445,7 +2445,7 @@ AC_ARG_ENABLE(gnome2,
   [  --enable-gnome2         Gnome2 support (default disabled)])
 if test "x${enable_gnome2}" = "xyes"
 then
-  #PKG_CHECK_MODULES(GNOME2, [libgnomeui-2.0])
+  PKG_CHECK_MODULES(GNOME2, [libgnomeui-2.0])
   CFLAGS_gnome2="${CFLAGS_gnome2} ${GNOME2_CFLAGS}"
   LDFLAGS_gnome2="${LDFLAGS_gnome2} ${GNOME2_LIBS}"
   PLUGINS="${PLUGINS} gnome2"